Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1187869 (kdocker) - Review Request: kdocker - Dock any application in the system tray
Summary: Review Request: kdocker - Dock any application in the system tray
Keywords:
Status: CLOSED ERRATA
Alias: kdocker
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1195081 (view as bug list)
Depends On:
Blocks: qt-reviews
TreeView+ depends on / blocked
 
Reported: 2015-01-31 09:24 UTC by Raphael Groner
Modified: 2015-04-17 18:15 UTC (History)
4 users (show)

Fixed In Version: kdocker-4.9-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-09 08:19:46 UTC
rdieter: fedora-review+
puiterwijk: fedora-cvs+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1206833 None None None Never
Launchpad 1243955 None None None Never
Launchpad 1419170 None None None Never

Internal Links: 1206833

Description Raphael Groner 2015-01-31 09:24:09 UTC
Spec URL: https://raphgro.fedorapeople.org/review/qt/kdocker/kdocker.spec
SRPM URL: https://raphgro.fedorapeople.org/review/qt/kdocker/kdocker-4.8-1.fc21.src.rpm
Description: Dock any application in the system tray
Fedora Account System Username: raphgro

rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=8785988

This is a reanimation request for a dead package since f16 …

Comment 1 Raphael Groner 2015-02-06 22:30:34 UTC
Reported about incorrect-fsf-address to upstream:
https://bugs.launchpad.net/kdocker/+bug/1419170

Comment 2 Mario Blättermann 2015-02-06 22:38:27 UTC
%{_qt4_qmake}

This expands to:

$ rpm --eval %{_qt4_qmake}
/usr/lib64/qt4/bin/qmake

It calls the appropriate binary only. Have a look at a similar macro:

$ rpm --eval %{qmake_qt4}

  /usr/lib64/qt4/bin/qmake \
  QMAKE_CFLAGS_DEBUG="${CFLAGS:--O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches  -m64 -mtune=generic}" \
  QMAKE_CFLAGS_RELEASE="${CFLAGS:--O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches  -m64 -mtune=generic}" \
  QMAKE_CXXFLAGS_DEBUG="${CXXFLAGS:--O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches  -m64 -mtune=generic}" \
  QMAKE_CXXFLAGS_RELEASE="${CXXFLAGS:--O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches  -m64 -mtune=generic}" \
  QMAKE_LFLAGS_DEBUG="${LDFLAGS:--Wl,-z,relro }" \
  QMAKE_LFLAGS_RELEASE="${LDFLAGS:--Wl,-z,relro }" \
  QMAKE_STRIP=

That one makes sure that qmake is always called with sufficient and correct options.

Comment 3 Raphael Groner 2015-02-07 19:33:33 UTC
(In reply to Mario Blättermann from comment #2)
Hi Mario,
thanks for the helpful hint to the right macro. I think this is not worth a rebuild, so I'll wait for any other comments to collect for the next release.

Comment 4 Mario Blättermann 2015-02-07 20:17:05 UTC
$ rpmlint -i -v *
kdocker.src: I: checking
kdocker.src: W: spelling-error %description -l en_US openoffice -> open office, open-office, interoffice
The value of this tag appears to be misspelled. Please double-check.

kdocker.src: W: spelling-error %description -l en_US xmms -> Xmas
The value of this tag appears to be misspelled. Please double-check.

kdocker.src: W: spelling-error %description -l en_US firefox -> Firefox, firebox, fire fox
The value of this tag appears to be misspelled. Please double-check.

kdocker.src: I: checking-url https://launchpad.net/kdocker (timeout 10 seconds)
kdocker.src:32: W: macro-in-comment %patch50
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

kdocker.src:56: W: macro-in-comment %name
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

kdocker.src: W: patch-not-applied Patch50: kdocker-4.3-qmake_saner_defaults.patch
A patch is included in your package but was not applied. Refer to the patches
documentation to see what's wrong.

kdocker.src: I: checking-url http://launchpad.net/kdocker/trunk/4.8/+download/kdocker-4.8.tar.gz (timeout 10 seconds)
kdocker.x86_64: I: checking
kdocker.x86_64: W: spelling-error %description -l en_US openoffice -> open office, open-office, interoffice
The value of this tag appears to be misspelled. Please double-check.

kdocker.x86_64: W: spelling-error %description -l en_US xmms -> Xmas
The value of this tag appears to be misspelled. Please double-check.

kdocker.x86_64: W: spelling-error %description -l en_US firefox -> Firefox, firebox, fire fox
The value of this tag appears to be misspelled. Please double-check.

kdocker.x86_64: I: checking-url https://launchpad.net/kdocker (timeout 10 seconds)
kdocker.x86_64: E: incorrect-fsf-address /usr/share/licenses/kdocker/COPYING
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

kdocker.x86_64: W: non-conffile-in-etc /etc/bash_completion.d/kdocker
A non-executable file in your package is being installed in /etc, but is not a
configuration file. All non-executable files in /etc should be configuration
files. Mark the file as %config in the spec file.

kdocker-debuginfo.x86_64: I: checking
kdocker-debuginfo.x86_64: I: checking-url https://launchpad.net/kdocker (timeout 10 seconds)
kdocker-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kdocker-4.8/src/kdocker.cpp
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

kdocker-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kdocker-4.8/src/xlibutil.cpp
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

kdocker-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kdocker-4.8/src/xlibutil.h
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

kdocker-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kdocker-4.8/src/trayitem.cpp
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

kdocker-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kdocker-4.8/src/kdocker.h
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

kdocker-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kdocker-4.8/src/trayitemmanager.h
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

kdocker-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kdocker-4.8/src/trayitemmanager.cpp
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

kdocker-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kdocker-4.8/src/trayitem.h
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

kdocker-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kdocker-4.8/src/application.cpp
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

kdocker-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kdocker-4.8/src/main.cpp
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

kdocker-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kdocker-4.8/src/constants.cpp
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

kdocker-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kdocker-4.8/src/constants.h
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

kdocker-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kdocker-4.8/src/scanner.h
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

kdocker-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kdocker-4.8/src/scanner.cpp
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

kdocker-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/kdocker-4.8/src/application.h
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

kdocker.spec: I: checking
kdocker.spec:32: W: macro-in-comment %patch50
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

kdocker.spec:56: W: macro-in-comment %name
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

kdocker.spec: W: patch-not-applied Patch50: kdocker-4.3-qmake_saner_defaults.patch
A patch is included in your package but was not applied. Refer to the patches
documentation to see what's wrong.

kdocker.spec: I: checking-url http://launchpad.net/kdocker/trunk/4.8/+download/kdocker-4.8.tar.gz (timeout 10 seconds)
3 packages and 1 specfiles checked; 16 errors, 13 warnings.


The incorrect FSF address has already been reported upstream, nothing to do.

OK, a human reader knows why the patch is not applied, but to make rpmlint silent, you should also hash the line "Patch50:". Besides that, escape the % sign in patch0 with a second one (refers also to that one in %check).

BuildRequires: /usr/bin/g++
First, g++ is part of the minimum build environment (through the package gcc-c++). Second, hardcoded paths in spec files are a bit unusual, unless it is impossible to use a macro, a package name etc. You can safely drop this requirement.

%{_sysconfdir}/bash_completion.d/
This ownership is actually OK, I had a similar thing some time ago. But as far as I can remember, this directory wasn't owned by the "filesystem" package, but now it is:

$ rpm -qf /etc/bash_completion.d
lldpad-0.9.46-8.git48a5f38.fc21.x86_64
rpmdevtools-8.5-1.fc21.noarch
fedpkg-1.19-1.fc21.noarch
fcoe-utils-1.0.29-6.fc21.x86_64
udisks-1.0.4-15.fc21.x86_64
bash-completion-2.1-6.20141110git52d8316.fc21.noarch
pulseaudio-5.0-25.fc21.x86_64
yum-utils-1.1.31-27.fc21.noarch
filesystem-3.2-28.fc21.x86_64
bzr-2.6.0-6.fc21.x86_64
git-2.1.0-4.fc21.x86_64

That's why it is no longer needed to co-own it. Just add a * at the end.

There's some problem with generating the man page, help2man produces unusable stuff:

.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.46.4.
.TH KDOCKER "1" "January 2015" "kdocker 4.8" "User Commands"
.SH NAME
kdocker \- manual page for kdocker 4.8
.SH DESCRIPTION
kdocker: cannot connect to X server

Obviously a running X-server is needed, that's strange. In any case worth to be reported upstream. As a workaround, you can generate the man page on your local system and add it manually to the package.

Comment 5 Raphael Groner 2015-02-24 17:28:37 UTC
 Rex Dieter 2015-02-24 16:00:29 CET

Offhand I don't see many MUST blockers, mostly SHOULD/polish type stuff:

1.  SHOULD apply patch instead of using sed statement:
# upstream forgot to bump version
sed -i 's,\(APP_VERSION = "\).*";,\1%{version}";,' src/constants.cpp

that's safer for when/if future versions land to tell if this is still needed or not

2.  in %build, SHOULD use %{qmake_qt4} macro (instead of %{_qt4_qmake}), as this one sets build flags, etc... instead of just calling plain 'qmake'
this macro is relatively new, and only available in fedora (not epel yet).  If you want to keep things merged with epel too, you could use a construct like:
%{?qmake_qt4:%{qmake_qt4}}%{!?qmake_qt4:%{_qt4_qmake}}
(ie, use %qmake_qt4 if defined, else use %_qt4_qmake)

3. MUST not own /etc/bash_completion.d/
As a matter of fact, best practice is to install bash_completion items in what is pointed at by output of:
pkg-config --variable=completionsdir bash-completion
/usr/share/bash-completion/completions
will want to add
BuildRequires: bash-completion
to ensure that pkg-config call works properly during the build.

4. MUST use system-copy of qtsingleapplication, not bundled copy under solutions/qtsingleapplication

5. SHOULD (only mild suggestion) put app icon under /usr/share/icons/hicolor/128x128/apps/
instead of legacy/deprecated
/usr/share/pixmaps
(and add relevant icon scriptlets)

Comment 6 Raphael Groner 2015-02-24 17:30:26 UTC
*** Bug 1195081 has been marked as a duplicate of this bug. ***

Comment 7 Mario Blättermann 2015-02-24 19:17:28 UTC
@Rex, I reassign this ticket to you because you had already assigned the duplicate, and I've currently no time to continue here.

Comment 9 Rex Dieter 2015-02-25 19:34:35 UTC
Thanks, looks good, APPROVED.

Please add more detailed changelog next time, instead of "fix review issues", list the specific items changed.

Comment 10 Raphael Groner 2015-02-25 19:42:09 UTC
New Package SCM Request
=======================
Package Name: kdocker
Short Description: Dock any application in the system tray
Upstream URL: https://launchpad.net/kdocker
Owners: raphgro
Branches: f21 f22
InitialCC: rdieter

Comment 11 Gwyn Ciesla 2015-02-25 21:12:42 UTC
Git done (by process-git-requests).

Comment 12 Raphael Groner 2015-02-26 05:46:56 UTC
The git branching did not work. I'll send another request.

Comment 13 Raphael Groner 2015-02-26 05:47:33 UTC
New Package SCM Request
=======================
Package Name: kdocker
Short Description: Dock any application in the system tray
Upstream URL: https://launchpad.net/kdocker
Owners: raphgro
Branches: f21 f22
InitialCC:

Comment 14 Fedora Update System 2015-02-26 12:46:43 UTC
kdocker-4.8-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/kdocker-4.8-2.fc22

Comment 15 Fedora Update System 2015-02-26 13:15:24 UTC
kdocker-4.8-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/kdocker-4.8-2.fc21

Comment 16 Gwyn Ciesla 2015-02-26 13:32:53 UTC
Git done (by process-git-requests).

Comment 17 Fedora Update System 2015-02-26 17:41:44 UTC
kdocker-4.8-2.fc22 has been pushed to the Fedora 22 testing repository.

Comment 18 Fedora Update System 2015-03-09 08:19:46 UTC
kdocker-4.8-2.fc22 has been pushed to the Fedora 22 stable repository.

Comment 19 Fedora Update System 2015-03-09 08:36:08 UTC
kdocker-4.8-2.fc21 has been pushed to the Fedora 21 stable repository.

Comment 20 Raphael Groner 2015-03-30 14:20:30 UTC
Package Change Request
======================
Package Name: kdocker
New Branches: epel7
Owners: raphgro
InitialCC:

Comment 21 Patrick Uiterwijk 2015-03-30 20:07:22 UTC
Git done (by process-git-requests).

Comment 22 Fedora Update System 2015-03-30 20:40:09 UTC
kdocker-4.9-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/kdocker-4.9-1.el7

Comment 23 Fedora Update System 2015-04-17 18:15:53 UTC
kdocker-4.9-1.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.